﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Weapsy.Apps.Forum.Entities;
using Weapsy.Apps.Forum.Models.AdminModels;

namespace Weapsy.Apps.Forum.Tests.Stubs
{
    public class CategoryStubs
    {
        public static List<ForumCategory> GetCategoryListStub()
        {
            List<ForumCategory> list = new List<ForumCategory>()
            {
                new ForumCategory() 
                {
                    Id = 1,
                    ConfigurationId = 1,
                    Name = "TestCategory1",
                    Url = "test-category-1",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 1,
                },
                new ForumCategory() 
                {
                    Id = 2,
                    ConfigurationId = 1,
                    Name = "TestCategory2",
                    Url = "test-category-2",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 2,
                },
                new ForumCategory() 
                {
                    Id = 3,
                    ConfigurationId = 1,
                    Name = "TestCategory3",
                    Url = "test-category-3",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 3,
                }
            };

            return list;
        }

        public static List<ForumCategoryModel> GetCategoryModelListStub()
        {
            List<ForumCategoryModel> list = new List<ForumCategoryModel>()
            {
                new ForumCategoryModel() 
                {
                    Id = 1,
                    ConfigurationId = 1,
                    Name = "TestCategory1",
                    Url = "test-category-1",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 1,
                },
                new ForumCategoryModel() 
                {
                    Id = 2,
                    ConfigurationId = 1,
                    Name = "TestCategory2",
                    Url = "test-category-2",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 2,
                },
                new ForumCategoryModel() 
                {
                    Id = 3,
                    ConfigurationId = 1,
                    Name = "TestCategory3",
                    Url = "test-category-3",
                    Active = true,
                    PermissionSetId = -1,
                    SettingSetId = -1,
                    SortOrder = 3,
                }
            };

            return list;
        }

        public static ForumCategoryModel GetFakeCategoryModel()
        {
            ForumCategoryModel model = new ForumCategoryModel()
            {
                Id = 1,
                ConfigurationId = 1,
                Name = "TestCategory1",
                Url = "test-category-1",
                Active = true,
                PermissionSetId = -1,
                SettingSetId = -1,
                SortOrder = 1,
            };

            return model;
        }
    }
}
