#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.Web.Caching;

namespace Weapsy
{
	public class Consts
	{

        // ================================================
        //  GENERAL
        // ================================================

        public const string GlobalKey = "Weapsy";
        public const string Version = "1.1.0";
        public static string[] ReservedUrls = { "account", "admin", "auth", "error", "group", "module", "profile", "text" };
        public const int NullId = -1;
        public const int DefaultId = 0;
        public const string NullIpAddress = "0.0.0.0";

        // ================================================
        //  ROLES
        // ================================================

        public const string RoleAll = "All";
        public const string RoleRegistered = "Registered";
        public const string RoleAnonymous = "Anonymous";

        // ================================================
        //  KEYS
        // ================================================

        public const string SessionKeyUser = GlobalKey + "|User";
        public const string CookieKeyLanguage = GlobalKey + "|Language";

        // ================================================
        //  MESSAGES
        // ================================================

        public const string MessageKeySuccess = GlobalKey + "|Message|Success";

        // ================================================
        //  CACHE
        // ================================================

        public const byte DefaultCacheTimeOut = 60;
        public const CacheItemPriority DefaultCacheItemPriority = CacheItemPriority.Normal;
	}
}