#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Web.Caching;
using Weapsy.Entities;

namespace Weapsy.Core.Net
{
    public interface IMailManager
	{
        void Send(Mail mail, EmailAccount emailAccount);

        void Send(List<Mail> mails, EmailAccount emailAccount);

        void Send(string ToEmail,
            string ToDisplayName,
            string Subject,
            string BodyHTML,
            string BodyPlain,
            string FromEmail,
            string FromDisplayName,
            string SmtpHost,
            int SmtpPort,
            string SmtpUserName,
            string SmtpPassword,
            bool SmtpDefaultCredentials,
            bool SmtpSsl);
	}
}