#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.Web;
using System.Runtime.CompilerServices;
using System.Web.Caching;
using System.Collections;
using System.Text.RegularExpressions;

namespace Weapsy
{

	public class SessionService
	{

        public static void InsertObject(string Key, object Obj)
		{
			if ((Obj != null)) {
				if (HttpContext.Current.Session[Key] == null) {
					HttpContext.Current.Session[Key] = Obj;
				}
			}
		}

        public static object GetObject(string Key)
		{
            return HttpContext.Current.Session[Key];
		}

        public static void RemoveObject(string Key)
		{
			if ((HttpContext.Current.Session[Key] != null)) {
				HttpContext.Current.Session[Key] = null;
			}
		}

        //public static void RemoveByPattern(string pattern)
        //{
        //    IDictionaryEnumerator enumerator = HttpContext.Current.Session.GetEnumerator;
        //    Regex rgx = new Regex(pattern, (RegexOptions.Singleline | (RegexOptions.Compiled | RegexOptions.IgnoreCase)));
        //    while (enumerator.MoveNext()) {
        //        if (rgx.IsMatch(enumerator.Key.ToString())) {
        //            HttpContext.Current.Session[enumerator.Key.ToString()] = null;
        //        }
        //    }
        //}

        //public static List<Models.Friendship> GetFriends()
        //{
        //    object obj = HttpContext.Current.Session[FriendsSessionKey];
        //    if ((obj != null)) {
        //        return (List<Models.Friendship>)obj;
        //    }
        //    List<Models.Friendship> list = new List<Models.Friendship>();
        //    list = BusinessLogic.Friendships.GetFriends(WeapsyContext.Current.User.Id);
        //    HttpContext.Current.Session[FriendsSessionKey] = list;
        //    return list;
        //}

        //public static void ClearFriends()
        //{
        //    RemoveObject(FriendsSessionKey);
        //}

	}

}
