#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using Weapsy.Entities;

namespace Weapsy.Apps.Forum.Entities
{    
    public partial class ForumSection : BaseAuditEntity
    {
        public ForumSection()
        {
            this.Posts = new HashSet<ForumPost>();
        }

        public int CategoryId { get; set; }
        public string Name { get; set; }
        public string Url { get; set; }
        public string Description { get; set; }
        public string Notes { get; set; }
        public int ParentId { get; set; }
        public int SortOrder { get; set; }
        public string IconImage { get; set; }
        public string NameImage { get; set; }
        public string SectionImage { get; set; }
        public int Type { get; set; }
        public bool Closed { get; set; }
        public bool Active { get; set; }
        public bool Deleted { get; set; }
        public int SettingSetId { get; set; }
        public int PermissionSetId { get; set; }
        public int Topics { get; set; }
        public int Replies { get; set; }
        public int LastPostId { get; set; }
    
        public virtual ForumCategory Category { get; set; }
        public virtual ICollection<ForumPost> Posts { get; set; }
    }
}