#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using Weapsy.Entities;

namespace Weapsy.Apps.Forum.Entities
{
    public partial class ForumSettingSet : BaseAuditEntity
    {
        public int ConfigurationId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public bool ModerateTopics { get; set; }
        public string ModerateTopicsExcluded { get; set; }
        public bool ModerateReplies { get; set; }
        public string ModerateRepliesExcluded { get; set; }
        //public bool SubscribeSection { get; set; }
        //public bool SubscribeTopic { get; set; }
        //public bool Emoticons { get; set; }
        //public bool PostIcon { get; set; }
        //public bool Attachments { get; set; }
        //public bool TopicRating { get; set; }
        //public bool RSS { get; set; }
        //public bool Polls { get; set; }
        //public bool StatusSelection { get; set; }
        //public bool QuickReply { get; set; }
        //public bool PostIconDisplayDefault { get; set; }
        //public bool PostIconRequired { get; set; }
        //public bool StatusRequired { get; set; }
        //public int TopicsSortOrder { get; set; }
        //public int TopicsSortField { get; set; }
        //public int TopicsSortFilter { get; set; }
        //public int AttachMaxNumber { get; set; }
        //public int AttachMaxSize { get; set; }
        //public string AttachTypes { get; set; }
        //public int AttachMaxImgWidth { get; set; }
        //public int AttachMaxImgHeight { get; set; }
        //public int AttachMaxImgThumbWidth { get; set; }
        //public int AttachMaxImgThumbHeight { get; set; }
        //public bool PostEditRestrictionEnabled { get; set; }
        //public int PostEditRestrictionInterval { get; set; }
        //public string PostEditRestrictionExcluded { get; set; }
        //public bool PostEditReasonEnabled { get; set; }
        //public bool PostEditReasonRequired { get; set; }
        //public string PostEditReasonExcluded { get; set; }

        public virtual ForumConfiguration Configuration { get; set; }
    }
}
