#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using Weapsy.Entities;

namespace Weapsy.Apps.Forum.Entities
{
    public partial class ForumUser : BaseEntity
    {
        public ForumUser()
        {
            this.Posts = new HashSet<ForumPost>();
        }

        public int UserId { get; set; }
        public int Topics { get; set; }
        public int Replies { get; set; }
        public int LastTopicId { get; set; }
        public int LastReplyId { get; set; }
        public Nullable<DateTime> BannedUntil { get; set; }

        public virtual User User { get; set; }
        public virtual ICollection<ForumPost> Posts { get; set; }
    }
}
