#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IModuleDefinitionService
    {

        void Create(ModuleDefinition entity);

        void Update(ModuleDefinition entity);

        void Delete(ModuleDefinition entity);

        ModuleDefinition GetById(int Id);
        ModuleDefinition GetById(int Id, bool UseCache);

        ModuleDefinition GetByName(string Name);
        ModuleDefinition GetByName(string Name, bool UseCache);

        List<ModuleDefinition> GetList();
        List<ModuleDefinition> GetList(bool UseCache);

        List<ModuleDefinition> GetListByAppId(int appId);
        List<ModuleDefinition> GetListByAppId(int appId, bool UseCache);

        Dictionary<string, string> GetDictionary();

	}

}