#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IPageTemplateService
    {

        void Create(PageTemplate entity);

        void Update(PageTemplate entity);

        void Delete(PageTemplate entity);

        PageTemplate GetById(int Id);
        PageTemplate GetById(int Id, bool UseCache);

        PageTemplate GetByName(string Name);
        PageTemplate GetByName(string Name, bool UseCache);

        List<PageTemplate> GetList();
        List<PageTemplate> GetList(bool UseCache);

        Dictionary<string, string> GetDictionary(bool includeInherit);

	}

}