#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IThemeService
    {

        void Create(Theme entity);

        void Update(Theme entity);

        void Delete(Theme entity);

        Theme GetById(int Id);
        Theme GetById(int Id, bool UseCache);

        Theme GetByName(string Name);

        List<Theme> GetList();

        Dictionary<string, string> GetDictionary(bool includeInherit);

        void Move(int Id, string Action);
	}

}