﻿#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.Web.Mvc;

namespace Weapsy.Web.Admin
{
    public class AdminAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Admin";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                  "Admin_NetAdvImage",
                  "{scriptPath}/tinymce/plugins/netadvimage/{action}",
                  new { controller = "NetAdvImage" },
                  null,
                  new string[] { "Weapsy.Web.Admin.Controllers" }
            );

            context.MapRoute(
                "Admin_default",
                "Admin/{controller}/{action}/{id}",
                new { controller = "Home", action = "Index", id = UrlParameter.Optional },
                null, 
                new string[]{"Weapsy.Web.Admin.Controllers"}
            );
        }
    }
}