#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{
    public partial class LocalizedMailTemplateModel : BaseModel
    {
        [Required]
        public int MailTemplateId { get; set; }

        [LocalizedDisplayName("Field_Subject", NameResourceType = typeof(Resources.Admin.MailTemplate))]
        public string Subject { get; set; }

        [LocalizedDisplayName("Field_BodyHtml", NameResourceType = typeof(Resources.Admin.MailTemplate))]
        public string BodyHtml { get; set; }

        [LocalizedDisplayName("Field_BodyPlain", NameResourceType = typeof(Resources.Admin.MailTemplate))]
        public string BodyPlain { get; set; }

        [Required]
        public int LanguageId { get; set; }
        public string LanguageName { get; set; }
    }
}