#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{
    public partial class MailTemplateTypeModel : BaseAuditModel
    {
        [LocalizedDisplayName("Field_AppId", NameResourceType = typeof(Resources.Admin.MailTemplateType))]
        public int AppId { get; set; }

        [Required]
        [LocalizedDisplayName("Field_Name", NameResourceType = typeof(Resources.Admin.MailTemplateType))]
        public string Name { get; set; }

        [LocalizedDisplayName("Field_Description", NameResourceType = typeof(Resources.Admin.MailTemplateType))]
        public string Description { get; set; }

        [LocalizedDisplayName("Field_TokenController", NameResourceType = typeof(Resources.Admin.MailTemplateType))]
        public string TokenController { get; set; }

        [LocalizedDisplayName("Field_TokenAction", NameResourceType = typeof(Resources.Admin.MailTemplateType))]
        public string TokenAction { get; set; }
    }
}