#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Collections.Generic;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{
	public class ModuleSettingsModel
	{
        public ModuleSettingsModel()
		{
            //this.Page = new PageModel();
            this.SharedSettings = new ModuleModel();
            this.PageSettings = new PageModuleModel();
            this.LocalizedModules = new List<LocalizedModuleModel>();
            this.LocalizedPageModules = new List<LocalizedPageModuleModel>();
		}

        public int PageId { get; set; }
        public string PageName { get; set; }
        //public PageModel Page { get; set; }
        public ModuleModel SharedSettings { get; set; }
        public PageModuleModel PageSettings { get; set; }
        public string[] Zones { get; set; }
        public List<LocalizedModuleModel> LocalizedModules { get; set; }
        public List<LocalizedPageModuleModel> LocalizedPageModules { get; set; }
	}
}