#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using Weapsy.Web.Framework.DataAnnotations;

namespace Weapsy.Web.Admin.Models
{
    public class SecuritySettingsModel
    {
        [LocalizedDisplayName("Field_Security_RegisterCaptcha", NameResourceType = typeof(Resources.Admin.Setting))]
        public bool RegisterCaptcha { get; set; }

        [LocalizedDisplayName("Field_Security_LoginCaptcha", NameResourceType = typeof(Resources.Admin.Setting))]
        public bool LoginCaptcha { get; set; }

        [LocalizedDisplayName("Field_Security_PasswordRecoveryCaptcha", NameResourceType = typeof(Resources.Admin.Setting))]
        public bool PasswordRecoveryCaptcha { get; set; }

        [LocalizedDisplayName("Field_Security_ReCaptchaPublicKey", NameResourceType = typeof(Resources.Admin.Setting))]
        public string ReCaptchaPublicKey { get; set; }

        [LocalizedDisplayName("Field_Security_ReCaptchaPrivateKey", NameResourceType = typeof(Resources.Admin.Setting))]
        public string ReCaptchaPrivateKey { get; set; }
    }
}