#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{
    public class SystemInfoModel
    {
        [LocalizedDisplayName("Info_WeapsyVersion", NameResourceType = typeof(Resources.Admin.SystemResources))]
        public string WeapsyVersion { get; set; }

        [LocalizedDisplayName("Info_DotNetVersion", NameResourceType = typeof(Resources.Admin.SystemResources))]
        public string DotNetVersion { get; set; }

        [LocalizedDisplayName("Info_FullTrust", NameResourceType = typeof(Resources.Admin.SystemResources))]
        public bool FullTrust { get; set; }

        [LocalizedDisplayName("Info_OperatingSystem", NameResourceType = typeof(Resources.Admin.SystemResources))]
        public string OperatingSystem { get; set; }
    }
}