#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Apps.Forum.Entities;

namespace Weapsy.Apps.Forum.Services
{
	public interface ISectionService
    {
        void Create(ForumSection entity);

        void Update(ForumSection entity);

        void Delete(ForumSection entity);

        ForumSection GetById(int id);

        ForumSection GetByName(int categoryId, string name);

        ForumSection GetByUrl(int categoryId, string url);
        ForumSection GetByUrl(int categoryId, string url, bool useCache);

        List<ForumSection> GetList(int categoryId);
        List<ForumSection> GetList(int categoryId, bool useCache);

        void Move(int categoryId, int id, string action);
	}
}