#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Apps.Forum.Entities;

namespace Weapsy.Apps.Forum.Services
{
	public interface ISettingSetService
    {
        void Create(ForumSettingSet entity);

        void Update(ForumSettingSet entity);

        void Delete(ForumSettingSet entity);

        ForumSettingSet GetByName(int configurationId, string name);

        ForumSettingSet GetById(int id);
        ForumSettingSet GetById(int id, bool useCache);

        List<ForumSettingSet> GetList(int configurationId);
	}
}