#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using Microsoft.Web.Infrastructure.DynamicModuleHelper;
using Weapsy.Core.Caching;
using Weapsy.Core.Net;
using Weapsy.Data;
using Weapsy.Entities;
using Weapsy.Services;
using Autofac;
using Autofac.Integration.Mvc;

namespace Weapsy.Web.Modules
{
    public class InjectionModule : Autofac.Module
    {
        protected override void Load(ContainerBuilder builder)
        {
            if (builder == null) 
                throw new ArgumentNullException("builder");

            builder.RegisterType<TextService>().As<ITextService>();

        }
    }
}