#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using System.Threading;
using Weapsy.Core.Net;
using Weapsy.Services;

namespace Weapsy.Web.Framework.Controllers
{

    public class BaseController : Controller
    {
        //protected override void ExecuteCore()
        //{
        //    CultureInfo ci = new CultureInfo(WeapsyContext.Current.Language.CultureName);

        //    Thread.CurrentThread.CurrentUICulture = ci;
        //    Thread.CurrentThread.CurrentCulture = CultureInfo.CreateSpecificCulture(ci.Name);

        //    //CookieService.SetCookieValue(Consts.CookieKeyLanguage, id.ToString(), 365);

        //    base.ExecuteCore();
        //}

        private WeapsyGlobal _WeapsyGlobal = null;

        public WeapsyGlobal WeapsyGlobal
        {
            get
            {
                if (_WeapsyGlobal == null)
                {
                    _WeapsyGlobal = WeapsyGlobal.Current;
                }
                return _WeapsyGlobal;
            }
        }

        public int SiteId
        {
            get
            {
                return WeapsyGlobal.Site.Id;
            }
        }

        public int UserId
        {
            get
            {
                return WeapsyGlobal.User.Id;
            }
        }

    }
}