#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using Weapsy.Entities;

namespace Weapsy.Web.Models.Home
{
	public class IndexModel
	{
		public IndexModel()
		{
            Zones = new List<ZoneModel>();
		}

        public PageModel Page { get; set; }
        public PageTemplateModel PageTemplate { get; set; }
        //public Models.ModuleTemplate ModuleTemplate { get; set; }

        public List<ZoneModel> Zones { get; set; }
        public ZoneModel Zone(string Name) { return Zones.Find(m => m.Name == Name); }

	}
}