#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

namespace Weapsy.Web.Models.Home
{
    using System;
    using System.Collections.Generic;
    using Weapsy.Web.Framework;
    using Weapsy.Web.Framework.Models;

    public class ModuleSharedSettingsModel : BaseAuditModel
    {
        public ModuleSharedSettingsModel()
        {
        }
    
        public int SiteId { get; set; }
        public int ModuleDefinitionId { get; set; }
        public string Title { get; set; }
        public bool AllPages { get; set; }
        public bool Deleted { get; set; }
        public bool InheritPermissions { get; set; }
        public string Authorized { get; set; }
        public Nullable<System.DateTime> StartDate { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public bool DisplayTitle { get; set; }

    }
}