#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

namespace Weapsy.Web.Models.Home
{
    using System;
    using System.Collections.Generic;
    using Weapsy.Web.Framework;
    using Weapsy.Web.Framework.Models;

    public class PageModel : BaseAuditModel
    {
        public PageModel()
        {
        }
    
        public int SiteId { get; set; }
        public int ParentId { get; set; }
        public string Name { get; set; }
        public string Url { get; set; }
        public string PageTitle { get; set; }
        public string PageIcon { get; set; }
        public string PageImage { get; set; }
        public string MenuText { get; set; }
        public string MenuTitle { get; set; }
        public string MenuIcon { get; set; }
        public string MenuImage { get; set; }
        public string MetaTitle { get; set; }
        public string MetaDescription { get; set; }
        public string MetaKeywords { get; set; }
        public string Body { get; set; }
        public int PageTemplateId { get; set; }
        public int ModuleTemplateId { get; set; }
        public string Authorized { get; set; }
        public bool MainMenu { get; set; }
        public int SortOrder { get; set; }
        public bool Active { get; set; }
        public bool Deleted { get; set; }
        public bool UseModules { get; set; }
        public Nullable<DateTime> StartDate { get; set; }
        public Nullable<DateTime> EndDate { get; set; }
        public bool DisplayPageTitle { get; set; }
        public bool LanguageUrlEnabled { get; set; }

        public string LocalizedPageTitle { get; set; }
    }
}