#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using Weapsy.Entities;

namespace Weapsy.Apps.Forum.Entities
{
    public partial class ForumPermissionSet : BaseAuditEntity
    {
        public int ConfigurationId { get; set; }
        public string Name { get; set; }
        public string Description { get; set; }
        public string ViewSection { get; set; }
        public string ViewTopics { get; set; }
        public string Read { get; set; }
        public string Start { get; set; }
        public string Reply { get; set; }
        public string Upload { get; set; }
        public string Download { get; set; }
        public string SubscribeSection { get; set; }
        public string SubscribeTopic { get; set; }
        public string Edit { get; set; }
        public string Delete { get; set; }
        public string Pin { get; set; }
        public string Lock { get; set; }
        public string Moderate { get; set; }
        public string VotePoll { get; set; }
        public string CreatePoll { get; set; }
        public string SelectStatus { get; set; }
        public string Announce { get; set; }
        public string RateTopics { get; set; }

        public virtual ForumConfiguration Configuration { get; set; }
    }
}