#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

namespace Weapsy.Entities
{
    using System;
    using System.Collections.Generic;

    public partial class LocalizedPage : BaseEntity
    {
        public int PageId { get; set; }
        public int LanguageId { get; set; }
        public string Url { get; set; }
        public string PageTitle { get; set; }
        public string PageImage { get; set; }
        public string MenuText { get; set; }
        public string MenuTitle { get; set; }
        public string MenuImage { get; set; }
        public string MetaTitle { get; set; }
        public string MetaDescription { get; set; }
        public string MetaKeywords { get; set; }
        public string Body { get; set; }
    
        public virtual Language Language { get; set; }
        public virtual Page Page { get; set; }
    }
}