#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IAppService
    {

        App Create(App entity);

        void Update(App entity);

        void Delete(App entity);

        App GetById(int Id);
        App GetById(int Id, bool UseCache);

        App GetByName(string Name);
        App GetByName(string Name, bool UseCache);

        List<App> GetList();
        List<App> GetList(bool UseCache);

        Dictionary<string, string> GetDictionary();

	}

}