#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{
	public interface IEmailAccountService
    {
        void Create(EmailAccount entity);

        void Update(EmailAccount entity);

        void Delete(EmailAccount entity);

        EmailAccount GetById(int siteId, int id);
        EmailAccount GetById(int siteId, int id, bool useCache);

        List<EmailAccount> GetList(int SiteId);
        List<EmailAccount> GetList(int SiteId, bool UseCache);
	}
}