#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IMailTemplateService
    {

        void Create(MailTemplate entity, List<LocalizedMailTemplate> localizedEntities);

        LocalizedMailTemplate CreateLocalized(LocalizedMailTemplate entity);

        void Update(MailTemplate entity, List<LocalizedMailTemplate> localizedEntities);

        void Delete(MailTemplate entity);

        MailTemplate GetById(int SiteId, int Id);

        MailTemplate GetSiteMailTemplate(int SiteId, int Id, int LanguageId);

        LocalizedMailTemplate GetLocalizedByMailTemplateId(int MailTemplateId, int LanguageId);

        LocalizedMailTemplate GetLocalizedById(int Id);

        List<MailTemplate> GetList(int siteId);

        List<LocalizedMailTemplate> GetLocalizedList(int pluginId);
        
        List<MailTemplate> GetSiteMailTemplates(int SiteId, int LanguageId);

	}

}