#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{
	public interface IMailTemplateTypeService
    {
        void Create(MailTemplateType entity);

        void Update(MailTemplateType entity);

        void Delete(MailTemplateType entity);

        MailTemplateType GetById(int Id);
        MailTemplateType GetById(int Id, bool UseCache);

        MailTemplateType GetByName(string Name);
        MailTemplateType GetByName(string Name, bool UseCache);

        List<MailTemplateType> GetList();
        List<MailTemplateType> GetList(bool UseCache);

        List<MailTemplateType> GetListByAppId(int appId);
        List<MailTemplateType> GetListByAppId(int appId, bool UseCache);
	}
}