#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IModuleTemplateService
    {

        void Create(ModuleTemplate entity);

        void Update(ModuleTemplate entity);

        void Delete(ModuleTemplate entity);

        ModuleTemplate GetById(int Id);
        ModuleTemplate GetById(int Id, bool UseCache);

        ModuleTemplate GetByName(string Name);
        ModuleTemplate GetByName(string Name, bool UseCache);

        List<ModuleTemplate> GetList();
        List<ModuleTemplate> GetList(bool UseCache);

        Dictionary<string, string> GetDictionary(bool includeInherit);

	}

}