#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{
	public interface IPluginDefinitionService
    {
        void Create(PluginDefinition entity);

        void Update(PluginDefinition entity);

        void Delete(PluginDefinition entity);

        PluginDefinition GetById(int Id);
        PluginDefinition GetById(int Id, bool UseCache);

        PluginDefinition GetByName(string Name);
        PluginDefinition GetByName(string Name, bool UseCache);

        List<PluginDefinition> GetList();
        List<PluginDefinition> GetList(bool UseCache);

        List<PluginDefinition> GetListByAppId(int appId);
        List<PluginDefinition> GetListByAppId(int appId, bool UseCache);
	}
}