#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{

	public interface IUserService
    {

        void Create(User entity);

        void Update(User entity);

        void Delete(User entity);
        void Delete(User entity, bool deleteMembership);

        User GetById(int Id);

        User GetByMembershipName(string Name);
        User GetByMembershipName(string Name, bool UseCache);

        User GetByMembershipEmail(string Email);

        List<User> GetList();

	}

}