#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Entities;

namespace Weapsy.Services
{
	public interface IWidgetDefinitionService
    {
        void Create(WidgetDefinition entity);

        void Update(WidgetDefinition entity);

        void Delete(WidgetDefinition entity);

        WidgetDefinition GetById(int Id);
        WidgetDefinition GetById(int Id, bool UseCache);

        WidgetDefinition GetByName(string Name);
        WidgetDefinition GetByName(string Name, bool UseCache);

        List<WidgetDefinition> GetList();
        List<WidgetDefinition> GetList(bool UseCache);

        List<WidgetDefinition> GetListByAppId(int appId);
        List<WidgetDefinition> GetListByAppId(int appId, bool UseCache);
	}
}