#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{

    public class AppModel : BaseAuditModel
    {
        [Required]
        [LocalizedDisplayName("Field_Name", NameResourceType = typeof(Resources.Admin.App))]
        public string Name { get; set; }

        [Required]
        [LocalizedDisplayName("Field_Title", NameResourceType = typeof(Resources.Admin.App))]
        public string Title { get; set; }

        [LocalizedDisplayName("Field_Description", NameResourceType = typeof(Resources.Admin.App))]
        public string Description { get; set; }

        [Required]
        [LocalizedDisplayName("Field_Folder", NameResourceType = typeof(Resources.Admin.App))]
        public string Folder { get; set; }

        [Required]
        [LocalizedDisplayName("Field_Url", NameResourceType = typeof(Resources.Admin.App))]
        public string Url { get; set; }

        [Required]
        [LocalizedDisplayName("Field_AdminController", NameResourceType = typeof(Resources.Admin.App))]
        public string AdminController { get; set; }

        [Required]
        [LocalizedDisplayName("Field_AdminAction", NameResourceType = typeof(Resources.Admin.App))]
        public string AdminAction { get; set; }

        [LocalizedDisplayName("Field_DashboardIcon", NameResourceType = typeof(Resources.Admin.App))]
        public string DashboardIcon { get; set; }
    }
}