#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;
using Weapsy.Web.Framework.Models;

namespace Weapsy.Web.Admin.Models
{
    public class PageTemplateModel : BaseAuditModel
    {
        [Required]
        [LocalizedDisplayName("Field_Name", NameResourceType = typeof(Resources.Admin.PageTemplate))]
        public string Name { get; set; }

        [Required]
        [LocalizedDisplayName("Field_Zones", NameResourceType = typeof(Resources.Admin.PageTemplate))]
        public string Zones { get; set; }

        [Required]
        [LocalizedDisplayName("Field_ViewName", NameResourceType = typeof(Resources.Admin.PageTemplate))]
        public string ViewName { get; set; }

        [LocalizedDisplayName("Field_PreviewImage", NameResourceType = typeof(Resources.Admin.PageTemplate))]
        public string PreviewImage { get; set; }
    }
}