#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

namespace Weapsy.Web.Admin.Models
{
    using System;
    using System.Collections.Generic;
    using Weapsy.Web.Framework.DataAnnotations;
    using Weapsy.Web.Framework;
    using Weapsy.Web.Framework.Models;

    public class SettingModel : BaseModel
    {
        [LocalizedDisplayName("Field_Name", NameResourceType = typeof(Resources.Admin.Setting))]
        public string Name { get; set; }

        [LocalizedDisplayName("Field_Value", NameResourceType = typeof(Resources.Admin.Setting))]
        public string Value { get; set; }
    }
}