#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Weapsy.Apps.Forum.Entities;

namespace Weapsy.Apps.Forum.Services
{
	public interface IPermissionSetService
    {
        void Create(ForumPermissionSet entity);

        void Update(ForumPermissionSet entity);

        void Delete(ForumPermissionSet entity);

        ForumPermissionSet GetByName(int configurationId, string name);

        ForumPermissionSet GetById(int id);
        ForumPermissionSet GetById(int id, bool useCache);

        List<ForumPermissionSet> GetList(int configurationId);
	}
}