#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Collections.Generic;
using Weapsy.Web.Models.Home;

namespace Weapsy.Web.Modules.Models.Text
{

	public class TextSettingsModel
	{

        public TextSettingsModel()
		{
            this.TextVersions = new List<TextVersionModel>();
            this.LocalizedTextVersions = new List<LocalizedTextVersionModel>();
		}

        //public ModuleModel Module { get; set; }
        public string ModuleTitle { get; set; }
        public TextModel Text { get; set; }
        public TextVersionModel TextVersion { get; set; }
        public List<TextVersionModel> TextVersions { get; set; }
        public List<LocalizedTextVersionModel> LocalizedTextVersions { get; set; }
        public byte InsertNewOrUpdate { get; set; }
        public int SelectedVersionId { get; set; }
	}

}