﻿#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System.Web.Mvc;

namespace Weapsy.Web.Modules
{
    public class ModulesAreaRegistration : AreaRegistration
    {
        public override string AreaName
        {
            get
            {
                return "Modules";
            }
        }

        public override void RegisterArea(AreaRegistrationContext context)
        {
            context.MapRoute(
                "Modules_default",
                "Modules/{controller}/{action}/{id}",
                new { controller = "Home", action = "Index", id = UrlParameter.Optional },
                null,
                new string[] { "Weapsy.Web.Modules.Controllers" }
            );
        }
    }
}