﻿namespace Weapsy.Web.Controllers
{
    using System;
    using System.IO;
    using Telerik.Web.Mvc.UI;

    /// <summary>
    /// Represents a simple implementation of per-user based storage by extending the default 
    /// <see ref="EditorFileBrowserController" /> implementation
    /// </summary>
    public class ImageBrowserController : EditorFileBrowserController
    {
        /// <summary>
        /// Gets the base paths from which content will be served.
        /// </summary>
        public override string[] ContentPaths
        {
            get
            {
                return new[] { AppSettings.FolderForFiles };
            }
        }
    }
}