#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.Globalization;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;
using System.Threading;
using Weapsy.Core.Net;
using Weapsy.Services;

namespace Weapsy.Web.Framework.Controllers
{
    public class BaseProfileController : BaseController
    {

        protected override void OnActionExecuted(ActionExecutedContext filterContext)
        {
            ViewResult action = filterContext.Result as ViewResult;
            if (action != null)
            {
                action.MasterName = "_ProfileLayout"; //CurrentContext.Site.ProfileLayout;
            }
            base.OnActionExecuted(filterContext);
        }

    }
}