#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Weapsy.Web.Framework.DataAnnotations;
using Weapsy.Web.Framework;

namespace Weapsy.Web.Models.Account
{
    public class PluginModel
    {
        public PluginModel()
        {
            this.Area = "";
            this.ImagePrefix = "";
        }

        public bool Active { get; set; }
        public string Authorized { get; set; }

        public string DashboardText { get; set; }
        public string DashboardTitle { get; set; }
        public string MenuText { get; set; }
        public string MenuTitle { get; set; }

        public string LocalizedDashboardText { get; set; }
        public string LocalizedDashboardTitle { get; set; }
        public string LocalizedMenuText { get; set; }
        public string LocalizedMenuTitle { get; set; }

        public string PluginDefinitionController { get; set; }
        public string PluginDefinitionAction { get; set; }
        public string PluginDefinitionDashboardIcon { get; set; }
        public string PluginDefinitionMenuIcon { get; set; }
        public int PluginDefinitionAppId { get; set; }

        public string Area { get; set; }
        public string ImagePrefix { get; set; }
    }
}