#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using System.Collections.Generic;
using Weapsy.Web.Framework;

namespace Weapsy.Web.Models.Home
{

	public class ModuleModel
	{

        public ModuleModel()
		{
		}

        public ModuleSharedSettingsModel SharedSettings { get; set; }
        public ModulePageSettingsModel PageSettings { get; set; }
        public ModuleDefinitionModel Definition { get; set; }
        public ModuleTemplateModel ModuleTemplate { get; set; }
        public PageModel Page { get; set; }
        public WeapsyGlobal Context { get; set; }

        public string LocalizedTitle { get; set; }

	}

}