#region Copyright

//  Weapsy - http://www.weapsy.org
//  Copyright (c) 2011-2012 Luca Cammarata Briguglia
//  Licensed under the Weapsy Public License Version 1.0 (WPL-1.0)
//  A copy of this license may be found at http://www.weapsy.org/Documentation/License.txt

#endregion

namespace Weapsy.Web.Models.Home
{
    using System;
    using System.Collections.Generic;
    using Weapsy.Web.Framework;
    using Weapsy.Web.Framework.Models;

    public class ModulePageSettingsModel : BaseAuditModel
    {
        public ModulePageSettingsModel()
        {
        }
    
        public int SiteId { get; set; }
        public int PageId { get; set; }
        public int ModuleId { get; set; }
        public string Title { get; set; }
        public string Zone { get; set; }
        public int ModuleTemplateId { get; set; }
        public int SortOrder { get; set; }
        public bool Deleted { get; set; }
    }
}